Index: tmp/org.txm.setups/nsis/Docs/Modern UI 2/Readme.html
===================================================================
--- tmp/org.txm.setups/nsis/Docs/Modern UI 2/Readme.html	(revision 2955)
+++ tmp/org.txm.setups/nsis/Docs/Modern UI 2/Readme.html	(revision 2956)
@@ -988,7 +987,7 @@
 </pre>
                         </div>
                         <h3>
-                            <img class="trigger" alt="Open/Close section" id="trigger_lsin" src="images/closed.gif"
+                            <img class="trigger" alt="Open/Close section" id="trigger_lsin" src="images/open.gif"
                                 onclick="toggle('trigger_lsin', 'toggle_lsin');" />
                             Interface settings for selection dialog</h3>
                         <div class="toggle" id="toggle_lsin">
@@ -1033,9 +1032,10 @@
 LangString PAGE_SUBTITLE ${LANG_ENGLISH} &quot;Subtitle&quot;
 
 Function CustomPageFunction
-  !insermacro MUI_HEADER_TEXT $(PAGE_TITLE) $(PAGE_SUBTITLE)
+  !insertmacro MUI_HEADER_TEXT $(PAGE_TITLE) $(PAGE_SUBTITLE)
+  nsDialogs::...
   ...
-FuctionEnd
+FunctionEnd
 </pre>
                     </div>
                     <h1>
@@ -1058,7 +1058,7 @@
                         <p>
                             Modern UI pages can also customized using custom functions.</p>
                         <h3>
-                            <img class="trigger" alt="Open/Close section" id="trigger_cfg" src="images/closed.gif"
+                            <img class="trigger" alt="Open/Close section" id="trigger_cfg" src="images/open.gif"
                                 onclick="toggle('trigger_cfg', 'toggle_cfg');" />
                             General Custom Functions</h3>
                         <div class="toggle" id="toggle_cfg">
@@ -1077,7 +1077,7 @@
 								used, regular .onMouseOverSection and un.onMouseOverSection must be used.</p>
                         </div>
                         <h3>
-                            <img class="trigger" alt="Open/Close section" id="trigger_cfpg" src="images/closed.gif"
+                            <img class="trigger" alt="Open/Close section" id="trigger_cfpg" src="images/open.gif"
                                 onclick="toggle('trigger_cfpg', 'toggle_cfpg');" />
                             Page Custom Functions</h3>
                         <div class="toggle" id="toggle_cfpg">
@@ -1087,17 +1087,20 @@
                                 <strong>MUI_PAGE_CUSTOMFUNCTION_PRE</strong> <span class="parameter">function</span><br />
                                 <strong>MUI_PAGE_CUSTOMFUNCTION_SHOW</strong> <span class="parameter">function</span><br />
                                 <strong>MUI_PAGE_CUSTOMFUNCTION_LEAVE</strong> <span class="parameter">function</span><br />
+                                <strong>MUI_PAGE_CUSTOMFUNCTION_DESTROYED</strong> <span class="parameter">function</span><br />
                             </p>
                             <p>
                                 The pre function is called first and allows you to initalize variables or decide
                                 whether the page should be skipped. Then, the show function is called, which can
                                 be used to customize the interface. Finally, the user input can be validated in the
-								leave function. The NSIS Users Manual provides more information about these functions.</p>
+                                leave function. The NSIS Users Manual provides more information about these functions.</p>
                             <p>
                                 In the show function, the window handles of all controls on the page can be retrieved
                                 from a Modern UI variable. A list of the variables names is not yet available. For
-                                now, refer to the source files of the Modern UI 2.0. The variable declarations can
+                                now, refer to the source files of the Modern UI 2. The variable declarations can
                                 be found in the first lines of the header file for a certain page.</p>
+                            <p>
+                                The destroyed function is called after a external/plug-in page has been destroyed.
                         </div>
                     </div>
                     <h1>
@@ -1124,12 +1127,12 @@
                         <p>
                             The zlib/libpng license applies to the Modern UI.</p>
                         <h3>
-                            <img class="trigger" alt="Open/Close section" id="trigger_lic" src="images/closed.gif"
+                            <img class="trigger" alt="Open/Close section" id="trigger_lic" src="images/open.gif"
                                 onclick="toggle('trigger_lic', 'toggle_lic');" />
                             License Terms</h3>
                         <div class="toggle" id="toggle_lic">
                             <pre>
-Copyright &copy; 2002-2015 Joost Verburg
+Copyright &copy; 2002-2020 Joost Verburg
 
 This software is provided 'as-is', without any express or implied
 warranty. In no event will the authors be held liable for any damages
Index: tmp/org.txm.setups/nsis/Docs/Modern UI/Changelog.txt
===================================================================
--- tmp/org.txm.setups/nsis/Docs/Modern UI/Changelog.txt	(revision 2955)
+++ tmp/org.txm.setups/nsis/Docs/Modern UI/Changelog.txt	(revision 2956)
@@ -1,6 +1,11 @@
 NSIS Modern User Interface
 Version History
 
+1.81
+* Added MUI_TEXTCOLOR (2018-09-09)
+* Added MUI_PAGE_CUSTOMFUNCTION_DESTROYED (2017-04-03)
+* Added support for MUI_UNCONFIRMPAGE_VARIABLE (RFE #511) (2016-12-30)
+
 1.8 - August 9, 2007
 * Uses the new language files
 * Updated documentation
Index: tmp/org.txm.setups/nsis/Docs/Modern UI/License.txt
===================================================================
--- tmp/org.txm.setups/nsis/Docs/Modern UI/License.txt	(revision 2955)
+++ tmp/org.txm.setups/nsis/Docs/Modern UI/License.txt	(revision 2956)
@@ -1,4 +1,4 @@
-Copyright 2002-2015 Joost Verburg
+Copyright 2002-2020 Joost Verburg
 
 This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.
 
